<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "_ea8229a121285ee649a72fd8" . "80bac39b" => base64_decode("YXJyYX" . "lfZmls" . "dGVy"), "pro" . "jec" . "t_i" . "d" => base64_decode("cHJv" . "amVj" . "dF9p" . "ZA=="), "_bd71c3b5" . "c201fc11d" . "b82ed14ce" . "424de5" => base64_decode("aW5fYXJyYXk" . "="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "field" . "s" => base64_decode("ZmllbGR" . "z"), "na" . "me" => base64_decode("bmFtZQ=" . "="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["project_i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["nam" . "e"] => $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_bd71c3b5c201fc11" . "db82ed14ce424de5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["fie" . "lds"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_ea8229a12" . "1285ee649a" . "72fd880bac" . "39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bd71c3b5c201fc11db82ed14ce424" . "de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["field" . "s"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bd71c3b5c201fc11d" . "b82ed14ce424de5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["fi" . "el" . "ds"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}